#
# spec file for package nis-utils (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gmp libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nis-utils
Copyright:    GPL
Group:        Networking/Utilities
Obsoletes:    nisplus
Autoreqprov:  on
Version:      1.4.1
Release:      81
Summary:      NIS+ Client Utilities for Linux
BuildRoot:    %{_tmppath}/%{name}-root
Source:       nis-utils-%{version}.tar.bz2
Source1:      keyserv.init
Source2:      nis_cachemgr.init
Patch:        nis-utils-%{version}.dif

%description
The NIS+ Utilities are a collection of NIS+ administration and testing tools
for NIS+ on Linux clients.
A NIS+ server for Linux does not exist.

Authors:
--------
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: n

%prep
%setup
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
install -d $RPM_BUILD_ROOT/var/nis
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 644 etc/nsswitch.files $RPM_BUILD_ROOT/etc
install -m 644 etc/nsswitch.nis $RPM_BUILD_ROOT/etc
install -m 644 etc/nsswitch.nisplus $RPM_BUILD_ROOT/etc
install -m 644 etc/publickey $RPM_BUILD_ROOT/etc
install -m 644 etc/rc.config.nisplus $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/keyserv
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/nis_cachemgr
ln -sf ../../etc/init.d/keyserv $RPM_BUILD_ROOT/usr/sbin/rckeyserv
ln -sf ../../etc/init.d/nis_cachemgr $RPM_BUILD_ROOT/usr/sbin/rcnis_cachemgr
export RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.nisplus
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.nisplus"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/keyserv
sbin/insserv etc/init.d/nis_cachemgr

%postun
sbin/insserv etc/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc HOWTO AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config /etc/nsswitch.files
%config /etc/nsswitch.nis
%config /etc/nsswitch.nisplus
%config /etc/publickey
%config /etc/init.d/keyserv
%config /etc/init.d/nis_cachemgr
%dir /usr/lib/nis
%config /var/nis
/var/adm/fillup-templates/rc.config.nisplus
%attr(4755,root,root) /usr/bin/chkey
/usr/bin/keylogin
/usr/bin/keylogout
/usr/bin/newkey
/usr/bin/nisaddcred
/usr/bin/niscat
/usr/bin/nischgrp
/usr/bin/nischmod
/usr/bin/nischown
/usr/bin/nischttl
/usr/bin/nisdefaults
/usr/bin/niserror
/usr/bin/nisgrep
/usr/bin/nisgrpadm
/usr/bin/nisln
/usr/bin/nisls
/usr/bin/nismatch
/usr/bin/nismkdir
/usr/bin/nispasswd
/usr/bin/nispath
/usr/bin/nisrm
/usr/bin/nisrmdir
/usr/bin/nistbladm
/usr/bin/nistest
#/usr/lib/libmd.so.1
#/usr/lib/libmd.so.1.0.1
#/usr/lib/libnisdb.so.1
#/usr/lib/libnisdb.so.1.0.0
/usr/lib/nis/nisaddent
/usr/lib/nis/nisclient
/usr/lib/nis/nisping
/usr/lib/nis/nisshowcache
/usr/lib/nis/nisstat
/usr/sbin/keyserv
/usr/sbin/nis_cachemgr
/usr/sbin/nisinit
/usr/sbin/rckeyserv
/usr/sbin/rcnis_cachemgr
/usr/share/locale/de/LC_MESSAGES/nis-utils.mo
%doc %{_mandir}/man1/chkey.1.gz
%doc %{_mandir}/man1/keylogin.1.gz
%doc %{_mandir}/man1/keylogout.1.gz
%doc %{_mandir}/man1/newkey.1.gz
%doc %{_mandir}/man1/niscat.1.gz
%doc %{_mandir}/man1/nischgrp.1.gz
%doc %{_mandir}/man1/nischmod.1.gz
%doc %{_mandir}/man1/nischown.1.gz
%doc %{_mandir}/man1/nischttl.1.gz
%doc %{_mandir}/man1/nisdefaults.1.gz
%doc %{_mandir}/man1/niserror.1.gz
%doc %{_mandir}/man1/nisgrep.1.gz
%doc %{_mandir}/man1/nisgrpadm.1.gz
%doc %{_mandir}/man1/nisln.1.gz
%doc %{_mandir}/man1/nisls.1.gz
%doc %{_mandir}/man1/nismatch.1.gz
%doc %{_mandir}/man1/nismkdir.1.gz
%doc %{_mandir}/man1/nispath.1.gz
%doc %{_mandir}/man1/nisrm.1.gz
%doc %{_mandir}/man1/nisrmdir.1.gz
%doc %{_mandir}/man1/nistbladm.1.gz
%doc %{_mandir}/man1/nistest.1.gz
%doc %{_mandir}/man5/publickey.5.gz
%doc %{_mandir}/man8/keyserv.8.gz
%doc %{_mandir}/man8/nis_cachemgr.8.gz
%doc %{_mandir}/man8/nisaddcred.8.gz
%doc %{_mandir}/man8/nisaddent.8.gz
%doc %{_mandir}/man8/nisclient.8.gz
%doc %{_mandir}/man8/nisinit.8.gz
%doc %{_mandir}/man8/nisping.8.gz
%doc %{_mandir}/man8/nisshowcache.8.gz
%doc %{_mandir}/man8/nisstat.8.gz
%doc %{_mandir}/man8/nisupdkeys.8.gz
#Development, should be an extra package
#/usr/lib/libmd.a
#/usr/lib/libnisdb.a
#/usr/include/*.h
/usr/include/rpcsvc/*
%doc %{_mandir}/man3/*

%changelog -n nis-utils
* Tue Sep 04 2001 - kukuk@suse.de
- Some fixes to keylogin to work with yast2-config-nisplus
* Tue Apr 24 2001 - kukuk@suse.de
- Update to version 1.4.1
- Add missing rc links
* Sat Jan 06 2001 - kukuk@suse.de
- Create start/stop links with insserv
* Thu Nov 30 2000 - kukuk@suse.de
- Fix file list
* Mon Nov 27 2000 - kukuk@suse.de
- Rename package to nis-utils
- Add new init scripts for /etc/init.d
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sat Mar 04 2000 - kukuk@suse.de
- Only start keyserv if portmap will be started
* Fri Feb 11 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Fri Dec 31 1999 - kukuk@suse.de
- Update to version 1.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - kukuk@suse.de
- Extend the HOWTO
* Thu Jul 08 1999 - kukuk@suse.de
- Update to version 1.1
* Mon Jun 07 1999 - kukuk@suse.de
- Add next fix for nispasswd
* Tue Apr 27 1999 - kukuk@suse.de
- Add fix for nispasswd and chkey
* Mon Apr 12 1999 - kukuk@suse.de
- first version
